Delete a tag
curl --request DELETE \
--url https://api.getfernand.com/tags/{slug} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/tags/{slug}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/tags/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/tags/{slug}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/tags/{slug}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/tags/{slug}")
.header("X-API-Key", "<api-key>")
.asString();{}{
"error": "You can not delete a restricted tag."
}{
"error": "<string>"
}{
"error": "The tag \"VIP\" is used on the Rule \"Assign VIP customers\". Are you sure you want to delete it?"
}Delete a tag
DELETE
/
tags
/
{slug}
Delete a tag
Deletes a tag identified by its slug. System tags cannot be deleted. If the tag is used in any rules or snippets, the deletion requires a force parameter. When forced, the tag is removed from all rules where it’s used, and rules with no remaining actions are also deleted.
Authorizations
Path Parameters
Slug of the tag to delete
Query Parameters
Force deletion even if tag is used in rules or snippets
Response
Tag deleted successfully
The response is of type object.
Was this page helpful?
⌘I